二维码

GET https://0o0.online/api/qr-codes/
curl --request GET \
--url 'https://0o0.online/api/qr-codes/' \
--header 'Authorization: Bearer {api_key}' \
参数 细节 描述
search 可选 线条 搜索链条。
search_by 可选 线条 您正在寻找哪个字段?允许值是: name.
project_id 可选 全集
type 可选 线条 您正在寻找哪个字段?允许值是: text, url, phone, sms, email, whatsapp, facetime, location, wifi, event, vcard, crypto, paypal, upi, epc, pix.
datetime_field 可选 线条 允许的值: datetime, last_datetime
datetime_start 可选 线条 过滤结果从此日期开始。 Y-m-d H:i:s 格式。
datetime_end 可选 线条 过滤到此日期。 Y-m-d H:i:s 格式。
order_by 可选 线条 哪个字段可以订购结果? 允许值是: qr_code_id, datetime, last_datetime, name, type.
order_type 可选 线条 命令结果. 允许的值是: ASC 以便上涨的命令,以及 DESC 下降命令。
page 可选 全集 您想要的页面号码 结果从. 缺点到 1.
results_per_page 可选 全集 每页需要多少结果?允许值是: 10, 25, 50, 100, 250, 500, 1000. 缺陷到 25.
{
    "data": [
        {
            "id": 1,
            "type": "url",
            "name": "Example name",
            "qr_code": "https://0o0.online/uploads/qr_code/example.svg",
            "qr_code_logo": null,
            "qr_code_background": null,
            "settings": {
                "foreground_type": "color",
                "foreground_color": "#000000",
                "background_color": "#ffffff",
                "custom_eyes_color": false,
                "qr_code_logo_size": 25,
                "size": 500,
                "margin": 0,
                "ecc": "L",
                "url": "https://example.com"
                ...
            },
            "embedded_data": "https://example.com",
            "last_datetime": null,
            "datetime": "2026-10-16 01:39:43",
        },
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://0o0.online/api/qr-codes?page=1",
        "last": "https://0o0.online/api/qr-codes?page=1",
        "next": null,
        "prev": null,
        "self": "https://0o0.online/api/qr-codes?page=1"
    }
}
GET https://0o0.online/api/qr-codes/{qr_code_id}
curl --request GET \
--url 'https://0o0.online/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "type": "url",
        "name": "Example name",
        "qr_code": "https://0o0.online/uploads/qr_code/example.svg",
        "qr_code_logo": null,
        "qr_code_background": null,
        "settings": {
            "foreground_type": "color",
            "foreground_color": "#000000",
            "background_color": "#ffffff",
            "custom_eyes_color": false,
            "qr_code_logo_size": 25,
            "size": 500,
            "margin": 0,
            "ecc": "L",
            "url": "https://example.com"
            ...
        },
        "embedded_data": "https://example.com",
        "last_datetime": null,
        "datetime": "2026-10-16 01:39:43",
    }
}
POST https://0o0.online/api/qr-codes
参数 细节 描述
project_id 可选 全集 -
name 必填 线条 -
type 必填 线条 允许的值: text, url, phone, sms, email, whatsapp, facetime, location, wifi, event, vcard, crypto, paypal, upi, epc, pix
is_bulk 可选 布莱恩 可用当: type = text
url_dynamic_existing_link 可选 布莱恩 可用当: url_dynamic = 1
url_dynamic 可选 布莱恩 可用当: type = url
link_id 可选 全集 可用当: url_dynamic = 1 + url_dynamic_existing_link = 1
style 可选 线条
inner_eye_style 可选 线条 允许的值: square, dot, rounded, diamond, flower, leaf
outer_eye_style 可选 线条 允许的值: square, circle, rounded, flower, leaf
foreground_type 可选 线条 允许的值: color, gradient
foreground_color 可选 线条 可用当: foreground_type = color
foreground_gradient_style 可选 线条 允许的值: vertical, horizontal, diagonal, inverse_diagonal, radial
foreground_gradient_one 可选 线条 可用当: foreground_type = gradient
foreground_gradient_two 可选 线条 可用当: foreground_type = gradient
background_color 可选 线条
background_color_transparency 可选 全集
custom_eyes_color 可选 布莱恩
eyes_inner_color 可选 线条 可用当: custom_eyes_color = 1
eyes_outer_color 可选 线条 可用当: custom_eyes_color = 1
qr_code_logo 可选 文件 -
qr_code_logo_size 可选 全集 5-35
qr_code_background 可选 文件 -
qr_code_background_transparency 可选 全集 0-100
qr_code_foreground 可选 文件 -
qr_code_foreground_transparency 可选 全集 0-100
frame 可选 线条 允许的值: circle_simple_bottom_text, round_simple_bottom_text, straight_simple_bottom_text, round_card_bottom_text, straight_bottom_text, straight_top_text, round_bottom_text, round_top_text, tooltip_bottom_text, tooltip_top_text, ribbon_bottom_text, ribbon_top_text, tooltip_snap_top_text, tooltip_snap_bottom_text, straight_semi_bordered_bottom_text, round_semi_bordered_bottom_text, hand_arrows_bottom_text, broken_ticket_bottom_text, smooth_ribbon_bottom_text
frame_text 可选 线条
frame_text_size 可选 全集 -5 - 5
frame_text_font 可选 线条 允许的值: times_new_roman, georgia, courier, arial, helvetica, verdana, tahoma, trebuchet_ms, courier_new, monaco, comic_sans_ms, impact, luminari, baskerville, papyrus, brush_script_mt
frame_custom_colors 可选 布莱恩
frame_color 可选 线条 可用当: frame_custom_colors = 1
frame_text_color 可选 线条 可用当: frame_custom_colors = 1
size 可选 全集 50-2000
margin 可选 全集 0-25
ecc 可选 线条 允许的值: L, M, Q, H
text 可选 线条 可用当: type = text
url 可选 线条 可用当: type = url. 可用当: url_dynamic = 0 / url_dynamic_existing_link = 0
phone 可选 线条 可用当: type = phone
sms 可选 线条 可用当: type = sms
sms_body 可选 线条 可用当: type = sms
email 可选 线条 可用当: type = email
whatsapp 可选 线条 可用当: type = whatsapp
whatsapp_body 可选 线条 可用当: type = whatsapp
facetime 可选 线条 可用当: type = facetime
location
location_latitude 可选 航海 可用当: type = location
location_longitude 可选 航海 可用当: type = location
wifi
wifi_ssid 可选 线条 可用当: type = wifi
wifi_encryption 可选 线条 允许的值: nopass, WEP, WPA/WPA2, H (type=wifi)
wifi_password 可选 线条 可用当: type = wifi
wifi_is_hidden 可选 布莱恩 可用当: type = wifi
event 可选 线条 可用当: type = event
event_location 可选 线条 可用当: type = event
event_url 可选 线条 可用当: type = event
event_note 可选 线条 可用当: type = event
event_timezone 可选 线条 可用当: type = event
event_start_datetime 可选 线条 可用当: type = event
event_end_datetime 可选 线条 可用当: type = event
event_first_alert_datetime 可选 线条 可用当: type = event
event_second_alert_datetime 可选 线条 可用当: type = event
crypto
crypto_coin 可选 线条 可用当: type = crypto
crypto_address 可选 线条 可用当: type = crypto
crypto_amount 可选 线条 可用当: type = crypto
vcard
vcard_first_name 可选 线条 可用当: type = vcard
vcard_last_name 可选 线条 可用当: type = vcard
vcard_company 可选 线条 可用当: type = vcard
vcard_phone_number_label[index] 可选 线条 可用当: type = vcard
vcard_phone_number_value[index] 可选 线条 可用当: type = vcard
vcard_email 可选 线条 可用当: type = vcard
vcard_url 可选 线条 可用当: type = vcard
vcard_job_title 可选 线条 可用当: type = vcard
vcard_birthday 可选 线条 可用当: type = vcard
vcard_street 可选 线条 可用当: type = vcard
vcard_city 可选 线条 可用当: type = vcard
vcard_zip 可选 线条 可用当: type = vcard
vcard_region 可选 线条 可用当: type = vcard
vcard_country 可选 线条 可用当: type = vcard
vcard_note 可选 线条 可用当: type = vcard
vcard_social_label[index] 可选 线条 可用当: type = vcard
vcard_social_value[index] 可选 线条 可用当: type = vcard
paypal
paypal_type 可选 线条 允许的值: buy_now, add_to_cart, donation (type=paypal)
paypal_email 可选 线条 可用当: type = paypal
paypal_title 可选 线条 可用当: type = paypal
paypal_currency 可选 线条 可用当: type = paypal
paypal_price 可选 航海 可用当: type = paypal
paypal_thank_you_url 可选 线条 可用当: type = paypal
paypal_cancel_url 可选 线条 可用当: type = paypal
upi
upi_payee_id 可选 线条 可用当: type = upi
upi_payee_name 可选 线条 可用当: type = upi
upi_currency 可选 线条 可用当: type = upi
upi_amount 可选 航海 可用当: type = upi
upi_transaction_id 可选 线条 可用当: type = upi
upi_transaction_note 可选 线条 可用当: type = upi
upi_transaction_reference 可选 线条 可用当: type = upi
upi_thank_you_url 可选 线条 可用当: type = upi
epc
epc_iban 可选 线条 可用当: type = epc
epc_payee_name 可选 线条 可用当: type = epc
epc_currency 可选 线条 可用当: type = epc
epc_amount 可选 航海 可用当: type = epc
epc_bic 可选 线条 可用当: type = epc
epc_remittance_reference 可选 线条 可用当: type = epc
epc_remittance_text 可选 线条 可用当: type = epc
information 可选 线条 可用当: type = epc
pix
pix_payee_key 可选 线条 可用当: type = pix
pix_payee_name 可选 线条 可用当: type = pix
pix_currency 可选 线条 可用当: type = pix
pix_amount 可选 航海 可用当: type = pix
pix_city 可选 线条 可用当: type = pix
pix_transaction_id 可选 线条 可用当: type = pix
pix_description 可选 线条 可用当: type = pix
参数 细节 描述
curl --request POST \
--url 'https://0o0.online/api/qr-codes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=New York' \
--form 'type=text' \
--form 'text=Hello!' \
{
    "data": {
        "id": 1
    }
}
POST https://0o0.online/api/qr-codes/{qr_code_id}
参数 细节 描述
project_id 可选 线条 -
name 可选 线条 -
type 可选 线条 允许的值: text, url, phone, sms, email, whatsapp, facetime, location, wifi, event, vcard, crypto, paypal, upi, epc, pix
url_dynamic 可选 布莱恩 可用当: type = url
url_dynamic_existing_link 可选 布莱恩 可用当: url_dynamic = 1
link_id 可选 全集 可用当: url_dynamic = 1 + url_dynamic_existing_link = 1
style 可选 线条 允许的值: square, dot, round, rounded, elastic_square, heart, diamond, star, triangle, hexagon, spaced_square, octagon, cross_x, curvy_x, rounded_cross, ninja, sun, shine, bold_plus, teardrop, corner_cut, randomized_square, bold_x
inner_eye_style 可选 线条 允许的值: square, dot, rounded, diamond, flower, leaf
outer_eye_style 可选 线条 允许的值: square, circle, rounded, flower, leaf
foreground_type 可选 线条 允许的值: color, gradient
foreground_color 可选 线条 可用当: foreground_type = color
foreground_gradient_style 可选 线条 允许的值: vertical, horizontal, diagonal, inverse_diagonal, radial
foreground_gradient_one 可选 线条 可用当: foreground_type = gradient
foreground_gradient_two 可选 线条 可用当: foreground_type = gradient
background_color 可选 线条
background_color_transparency 可选 全集 0 - 100
custom_eyes_color 可选 布莱恩
eyes_inner_color 可选 线条 可用当: custom_eyes_color = 1
eyes_outer_color 可选 线条 可用当: custom_eyes_color = 1
qr_code_logo 可选 文件 -
qr_code_logo_size 可选 全集 5-35
qr_code_background 可选 文件 -
qr_code_background_transparency 可选 全集 0-100
qr_code_foreground 可选 文件 -
qr_code_foreground_transparency 可选 全集 0-100
frame 可选 线条 允许的值: circle_simple_bottom_text, round_simple_bottom_text, straight_simple_bottom_text, round_card_bottom_text, straight_bottom_text, straight_top_text, round_bottom_text, round_top_text, tooltip_bottom_text, tooltip_top_text, ribbon_bottom_text, ribbon_top_text, tooltip_snap_top_text, tooltip_snap_bottom_text, straight_semi_bordered_bottom_text, round_semi_bordered_bottom_text, hand_arrows_bottom_text, broken_ticket_bottom_text, smooth_ribbon_bottom_text
frame_text 可选 线条
frame_text_size 可选 全集 -5 -> 5
frame_text_font 可选 线条 允许的值: times_new_roman, georgia, courier, arial, helvetica, verdana, tahoma, trebuchet_ms, courier_new, monaco, comic_sans_ms, impact, luminari, baskerville, papyrus, brush_script_mt
frame_custom_colors 可选 布莱恩
frame_color 可选 线条 可用当: frame_custom_colors = 1
frame_text_color 可选 线条 可用当: frame_custom_colors = 1
size 可选 全集 50-2000
margin 可选 全集 0-25
ecc 可选 线条 允许的值: L, M, Q, H
text 可选 线条 可用当: type = text
url 可选 线条 可用当: type = url. 可用当: url_dynamic = 0 / url_dynamic_existing_link = 0
phone 可选 线条 可用当: type = phone
sms 可选 线条 可用当: type = sms
sms_body 可选 线条 可用当: type = sms
email 可选 线条 可用当: type = email
whatsapp 可选 线条 可用当: type = whatsapp
whatsapp_body 可选 线条 可用当: type = whatsapp
facetime 可选 线条 可用当: type = facetime
location
location_latitude 可选 航海 可用当: type = location
location_longitude 可选 航海 可用当: type = location
wifi
wifi_ssid 可选 线条 可用当: type = wifi
wifi_encryption 可选 线条 允许的值: nopass, WEP, WPA/WPA2, H (type=wifi)
wifi_password 可选 线条 可用当: type = wifi
wifi_is_hidden 可选 布莱恩 可用当: type = wifi
event 可选 线条 可用当: type = event
event_location 可选 线条 可用当: type = event
event_url 可选 线条 可用当: type = event
event_note 可选 线条 可用当: type = event
event_timezone 可选 线条 可用当: type = event
event_start_datetime 可选 线条 可用当: type = event
event_end_datetime 可选 线条 可用当: type = event
event_first_alert_datetime 可选 线条 可用当: type = event
event_second_alert_datetime 可选 线条 可用当: type = event
crypto
crypto_coin 可选 线条 可用当: type = crypto
crypto_address 可选 线条 可用当: type = crypto
crypto_amount 可选 线条 可用当: type = crypto
vcard
vcard_first_name 可选 线条 可用当: type = vcard
vcard_last_name 可选 线条 可用当: type = vcard
vcard_company 可选 线条 可用当: type = vcard
vcard_phone_number_label[index] 可选 线条 可用当: type = vcard
vcard_phone_number_value[index] 可选 线条 可用当: type = vcard
vcard_email 可选 线条 可用当: type = vcard
vcard_url 可选 线条 可用当: type = vcard
vcard_job_title 可选 线条 可用当: type = vcard
vcard_birthday 可选 线条 可用当: type = vcard
vcard_street 可选 线条 可用当: type = vcard
vcard_city 可选 线条 可用当: type = vcard
vcard_zip 可选 线条 可用当: type = vcard
vcard_region 可选 线条 可用当: type = vcard
vcard_country 可选 线条 可用当: type = vcard
vcard_note 可选 线条 可用当: type = vcard
vcard_social_label[index] 可选 线条 可用当: type = vcard
vcard_social_value[index] 可选 线条 可用当: type = vcard
paypal
paypal_type 可选 线条 允许的值: buy_now, add_to_cart, donation (type=paypal)
paypal_email 可选 线条 可用当: type = paypal
paypal_title 可选 线条 可用当: type = paypal
paypal_currency 可选 线条 可用当: type = paypal
paypal_price 可选 航海 可用当: type = paypal
paypal_thank_you_url 可选 线条 可用当: type = paypal
paypal_cancel_url 可选 线条 可用当: type = paypal
upi
upi_payee_id 可选 线条 可用当: type = upi
upi_payee_name 可选 线条 可用当: type = upi
upi_currency 可选 线条 可用当: type = upi
upi_amount 可选 航海 可用当: type = upi
upi_transaction_id 可选 线条 可用当: type = upi
upi_transaction_note 可选 线条 可用当: type = upi
upi_transaction_reference 可选 线条 可用当: type = upi
upi_thank_you_url 可选 线条 可用当: type = upi
epc
epc_iban 可选 线条 可用当: type = epc
epc_payee_name 可选 线条 可用当: type = epc
epc_currency 可选 线条 可用当: type = epc
epc_amount 可选 航海 可用当: type = epc
epc_bic 可选 线条 可用当: type = epc
epc_remittance_reference 可选 线条 可用当: type = epc
epc_remittance_text 可选 线条 可用当: type = epc
information 可选 线条 可用当: type = epc
pix
pix_payee_key 可选 线条 可用当: type = pix
pix_payee_name 可选 线条 可用当: type = pix
pix_currency 可选 线条 可用当: type = pix
pix_amount 可选 航海 可用当: type = pix
pix_city 可选 线条 可用当: type = pix
pix_transaction_id 可选 线条 可用当: type = pix
pix_description 可选 线条 可用当: type = pix
curl --request POST \
--url 'https://0o0.online/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Las Vegas' \
{
    "data": {
        "id": 1
    }
}
DELETE https://0o0.online/api/qr-codes/{qr_code_id}
curl --request DELETE \
--url 'https://0o0.online/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \